## com.bbn.openmap.tools.symbology.milStd2525
Class CodeAffiliation

    java.lang.Object
      com.bbn.openmap.tools.symbology.milStd2525.CodePosition
          com.bbn.openmap.tools.symbology.milStd2525.CodeAffiliation

public class CodeAffiliation
extends CodePosition

The CodeAffiliation CodePosition presents options for symbols, noting that the symbol represents a friend, foe or unknown. This notation is made in the second character of some symbol code strings (those that allow affilications).

Field Summary

Fields inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`choices, DEBUG, endIndex, hierarchyNumber, id, NameProperty, nextPosition, NextProperty, NO_CHAR, NO_NUMBER, prettyName, startIndex, symbolPart`

Constructor Summary
`CodeAffiliation()`

Methods inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`addPositionChoice, addPositionChoice, codeMatches, getEndIndex, getFromChoices, getHierarchyNumber, getHierarchyNumberString, getID, getNextPosition, getNULLCodePosition, getPositionChoices, getPrettyName, getStartIndex, getSymbolPart, parseHierarchy, parsePositions, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeAffiliation

    public CodeAffiliation()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details